OpenNMS API 1.2.9

## org.opennms.netmgt.config
Interface OutageManagerConfig

All Known Implementing Classes:
  MockOutageConfig, OutageManagerConfigFactory

public interface OutageManagerConfig

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`boolean` `deletePropagation()` Return a boolean flag to indicate if a deleteService should be propagated to the interface or node level deletion when approciate.
`java.lang.String` `getGetNextOutageID()` Return the SQL statemet to get the next outage ID.
`int` `getWriters()` Return the number of writer threads to be started.

Method Detail

### getWriters

    public int getWriters()

  Return the number of writer threads to be started.

  Returns:
    the number of writer threads to be started

### getGetNextOutageID

    public java.lang.String getGetNextOutageID()

  Return the SQL statemet to get the next outage ID.

  Returns:
    the SQL statemet to get the next outage ID

### deletePropagation

    public boolean deletePropagation()

  Return a boolean flag to indicate if a deleteService should be propagated to the interface or node level deletion when approciate.

  Returns:
    true for delete propagation otherwise false.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.